Page MenuHomePhabricator

PHP Notice: Undefined index: DataCollector.php on line 128
Closed, ResolvedPublic

Description

When uploading a file with the UploadWizard extension (d8090e9ad01dcdf098ebe2c47fa6421fbd2c947a of 2014-07-07 REL1_23) this extension (6b330e1407c9b68bc588b70c35474092eb32386b of 2014-06-03 beyond REL1_23) emits the following PHP notices for each information not provided e.g. coordinates, informationFields etc. I am using PHP 5.4 for an MW 1.23.8 instance

PHP Notice: Undefined index: coordinates in /.../extensions/CommonsMetadata/DataCollector.php on line 128, referer: https://www.example.com/wiki/Special:UploadWizard

Event Timeline

Kghbln created this task.Jan 7 2015, 6:14 PM
Kghbln raised the priority of this task from to Needs Triage.
Kghbln updated the task description. (Show Details)
Kghbln added a project: CommonsMetadata.
Kghbln added a subscriber: Kghbln.
Aklapper triaged this task as Low priority.Jan 7 2015, 9:28 PM
Tgr added a subscriber: Tgr.

This was fixed in https://gerrit.wikimedia.org/r/#/c/165476/ . REL1_23 is a long-term support release so that needs to be backported.

Tgr removed a project: MediaWiki-Tarball-Backports.
Tgr set Security to None.
Tgr closed this task as Resolved.Jan 17 2015, 8:48 AM
Tgr claimed this task.

The fix has been backported to 1.24.

Tgr reassigned this task from Tgr to Unicodesnowman.Jan 17 2015, 8:48 AM

Great, thank you for dealing with this. What about REL1_23?

The code that causes this notice doesn't exist in REL1_23. I think your version is beyond REL1_24?

No, just a little beyond REL1_23 (see the exact version in my original post). However if the code is not there it cannot be fixed. :) I should probably give REL1_23 and not an in-between version a shot and come back here if there are still worries. So no worries for now. Thank you again!

Kghbln added a comment.Feb 5 2015, 7:44 PM

Just as the long promised follow up. I have just changed to REL1_23 of CommonsMetadata and indeed no PHP notices are emitted. Cool.